#include "jobParams.h"

//tclap
#include <tclap/CmdLine.h>
using namespace TCLAP;

jobParams::jobParams(int argc, char** argv){
  
   try {
     // command line parser
     CmdLine cmd("Command option", ' ', "0.9");

     // nRun
     ValueArg<int> runs("r","runs","number of runs of n events to perform",
                               true, 1 , "int");
     cmd.add(runs);

     // nEvent
     ValueArg<int> events("n","events","number of events to read",
                               true, 1 , "int");
     cmd.add(events);

     ValueArg<std::string> output("o","output","root file to write",
                                 false, "koutput.root", "string");
     cmd.add(output);

     // parse
     cmd.parse(argc, argv);

     m_outputFile = output.getValue();
     m_nEvent = events.getValue(); 
     m_nRun = runs.getValue(); 

   }
   catch (ArgException &e){ // catch exception from parse
     std::cerr << "ERROR: " << e.error() << " for arg " << e.argId()  << std::endl;
     abort();
   }
}

jobParams::jobParams(const jobParams& tparams){

  this->m_outputFile = tparams.m_outputFile;
  this->m_nEvent = tparams.m_nEvent;
  this->m_nRun = tparams.m_nRun;
}
